Page MenuHomePhabricator

Add global last-access cookie for top domain (*.wikipedia.org)
Closed, ResolvedPublic0 Story Points

Description

(e.g. wikipedia.org, wiktionary.org, wikimedia.org, etc.) This would allow global (cross-lingual) project-type unique counts to be generated.

Event Timeline

Halfak created this task.Jun 16 2016, 9:55 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 16 2016, 9:55 PM
Nuria renamed this task from Create global last-access cookie for bare domains to Add global last-access cookie for top domain (*.wikipedia.org).Jun 19 2016, 9:27 PM
Nuria added subscribers: BBlack, Nuria.

This quarter we can probably talk with @BBlack and performance team about issues that having a cookie in the top domain might bring. If there are not blockers we can probably work on implementation Q2.

I haven't been able to find the ticket ref, but I know in the past there was some longer-term question around the basic utility of the WMF-Last-Access data (as in, whether the limited insight it provides gives us meaningful statistics or not). Was that resolved?

Nuria added a subscriber: ori.Jun 20 2016, 4:58 PM

@BBlack: short answer: yes. The Last-access cookie has helped us quantify, for example, the shift to mobile in all our projects. More so for data split by country. Some info on this regard here: https://blog.wikimedia.org/2016/03/30/unique-devices-dataset/

@Tbayer can provide perhaps other insights

cc @ori for performance implications on having cookies on top domain

Milimetric triaged this task as Normal priority.Jul 7 2016, 5:34 PM
Milimetric moved this task from Incoming to Backlog (Later) on the Analytics board.
ori added a comment.Jul 17 2016, 5:13 PM

cc @ori for performance implications on having cookies on top domain

I don't see an issue with that.

Confirming that there is a need for such a metric from the perspective of the Reading team, and also from the perspective of the Communications team (based on our conversations with them - cc @SLien_WMF).

Separately, it was brought up at the quarterly reviews earlier this month by @Katherine-WMF who pointed out it would be valuable for the board, as well as for some external audiences (see the meeting notes).

I haven't been able to find the ticket ref, but I know in the past there was some longer-term question around the basic utility of the WMF-Last-Access data (as in, whether the limited insight it provides gives us meaningful statistics or not). Was that resolved?

As Nuria said above, the per-project numbers have already yielded valuable insights. (I assume this was a question about the limitations implied by the definition, i.e. that it counts devices, not users. As for data quality and accuracy concerns, I understand these had been thoroughly examined by several people before March's public announcement, see e.g. the notes here.)

Slaporte added a subscriber: Slaporte.

Having cross-project stats would be helpful for our work as well, such as evidence for defending Wikimedia trademarks in various countries. Follow up with me via email if you need any more detail.

Nuria added a comment.Aug 3 2016, 6:36 PM

cc @BBlack let us know if you think this work that can also be tackled next quarter as the new cookie (let's call it WMF-Last-Access-Global) would need to be added to VCL code and x-analytics

Issues:

Are we talking about as many cookies as global domains? *.wikipedia.org? *.wikibooks.org?
I think we should restrict ourselves (for starters) to the *.wikipedia.org domain

It doesn't make much implementation difference whether we scope this for one, several, or all of our second-level domains. If anything, doing it for all of them at once is probably simpler.

Are we keeping the original WMF-Last-Access per individual subdomain as well, after the second-level one is working?

It should be fairly easy to implement, next quarter is fine if that lines up with the rest of the related work. We'd basically be re-using the existing code with only a little more logic for the domain= part.

For reference, this is our list of 13x canonical, production second-level domains:

wikipedia.org
wikimedia.org
mediawiki.org
wikibooks.org
wikidata.org
wikimediafoundation.org
wikinews.org
wikiquote.org
wikisource.org
wikiversity.org
wikivoyage.org
wiktionary.org
w.wiki
Nuria added a subscriber: B.EditedAug 4 2016, 3:26 PM

It doesn't make much implementation difference whether we scope this for one, several, or all of our second-level domains. If anything, doing it for all of them at once is probably simpler.

Sounds good then. Let's call this cookie WMF-Last-Access-Global, we will need to persist its value (as we do for WMF-Last-Access) to x-nalytics.

We will be maintaining two cookies as it is actually the project counts what give us a more actionable metric. Global counts have been requested several times but they have value for coms purposes, they are too broad of a metric to measure success of any initiative.

Nuria added a comment.Nov 22 2016, 5:25 PM

Ping @BBlack, now that varnish4 migration is over do you think we could get to deploy a global cookie soon?

Nuria added a comment.Dec 14 2016, 8:03 PM

Ping @BBlack: could we commit to do this Q3?

Nuria added a comment.Dec 20 2016, 8:33 PM
This comment was removed by Nuria.

Yes, we can do Q3. The actual work on our end is fairly minimal, just need to pencil it in and remember to get it done!

Nuria added a comment.Jan 18 2017, 6:22 PM

Ping @BBlack please let us know when you start working on this.

BBlack added a subscriber: ema.
Restricted Application added a project: Operations. · View Herald TranscriptFeb 3 2017, 1:17 PM
BBlack moved this task from Triage to Caching on the Traffic board.Feb 3 2017, 1:19 PM

Change 336790 had a related patch set uploaded (by Ema):
VCL: Add support for WMF-Last-Access-Global analytics cookie

https://gerrit.wikimedia.org/r/336790

Milimetric set the point value for this task to 0.

The patch is ready @Nuria, please let me know when it's OK to merge!

Nuria added a comment.Feb 13 2017, 3:47 PM

Let's merge! thank you.

Nuria moved this task from Next Up to Parent Tasks on the Analytics-Kanban board.Feb 13 2017, 4:52 PM

Change 336790 merged by Ema:
VCL: Add support for WMF-Last-Access-Global analytics cookie

https://gerrit.wikimedia.org/r/336790

Change 337549 had a related patch set uploaded (by Ema):
Analytics VCL: default to 'org' if top_domain is not set

https://gerrit.wikimedia.org/r/337549

Change 337549 merged by Ema:
Analytics VCL: default to 'org' if top_domain is not set

https://gerrit.wikimedia.org/r/337549

ema closed this task as Resolved.Mar 7 2017, 4:16 PM
ema claimed this task.

Change 344071 had a related patch set uploaded (by BBlack):
[operations/puppet] cache_misc: support WMF-Last-Access-Global cookie

https://gerrit.wikimedia.org/r/344071

Change 344071 merged by Ema:
[operations/puppet] cache_misc: support WMF-Last-Access-Global cookie

https://gerrit.wikimedia.org/r/344071